part of 'gate_way_bloc.dart';

sealed class GateWayState extends Equatable {
  const GateWayState();

  @override
  List<Object> get props => [];
}

final class GateWayInitial extends GateWayState {}

class GatewayLoadingState extends GateWayState {}

class UpdateGatewayState extends GateWayState {
  final List<DeviceModel> list;
  const UpdateGatewayState({required this.list});
  @override
  List<Object> get props => [list];
}

class ErrorState extends GateWayState {
  final String message;
  const ErrorState({required this.message});
  @override
  List<Object> get props => [message];
}
